/*
 *========================================================================
 * $Id: version.c,v 1.6 2004/02/21 18:37:27 rgb Exp $
 *
 * See copyright in copyright.h and the accompanying file COPYING
 *========================================================================
 */

#include "libwulf.h"

/*
 * <version> tag init and update
 */
void init_version(Host *hostptr)
{
 /* kernel version */
 if(xtract(STRING,&hostptr->val.version,value_xpath[VERSION],hostptr->xp_doc) > 1){
   fprintf(OUTFP,"fill_values() Warning: %s not unique content tag.\n",
      value_xpath[VERSION]);
 }
 if((verbose == D_ALL) || (verbose == D_VALUES)){
   fprintf(OUTFP,"D_VALUES: version = %s\n",hostptr->val.version);
 }

}


void update_version(Host *hostptr)
{
 /* kernel version */
 if(xtract(STRING,&hostptr->val.version,value_xpath[VERSION],hostptr->xp_doc) > 1){
   fprintf(OUTFP,"fill_values() Warning: %s not unique content tag.\n",
      value_xpath[VERSION]);
 }
 if((verbose == D_ALL) || (verbose == D_VALUES)){
   fprintf(OUTFP,"D_VALUES: version = %s\n",hostptr->val.version);
 }

}
